searchNodes=[{"doc":"DetsPlus persistent tuple/struct/map storage. DetsPlus has a similiar API as dets but without the 2GB file storage limit. Writes are buffered in an internal ETS table and synced every auto_save period to the persistent storage. While sync() or auto_save are in progress the database is still readable and writeable. There is no commitlog so not synced writes are lost. Lookups are possible by key and non-matches are accelerated using a bloom filter. The persistent file concept follows DJ Bernsteins CDB database format, but uses an Elixir encoded header https://cr.yp.to/cdb.html . When syncing a new CDB database file is created and replaces the old CDB atomically file using File.rename! so database corruptions are not possible from incomplete updates. Limits are: Total file size: 18_446 Petabyte Maximum entry size: 4 Gigabyte Maximum entry count: :infinity","ref":"DetsPlus.html","title":"DetsPlus","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"DetsPlus.html#child_spec/1","title":"DetsPlus.child_spec/1","type":"function"},{"doc":"Syncs pending writes to the persistent file and closes the table.","ref":"DetsPlus.html#close/1","title":"DetsPlus.close/1","type":"function"},{"doc":"Returns the number of object in the table. This is an estimate and the same as info(dets, :size) .","ref":"DetsPlus.html#count/1","title":"DetsPlus.count/1","type":"function"},{"doc":"Deletes all objects with key Key from table Name.","ref":"DetsPlus.html#delete/2","title":"DetsPlus.delete/2","type":"function"},{"doc":"Deletes all objects from a table in almost constant time.","ref":"DetsPlus.html#delete_all_objects/1","title":"DetsPlus.delete_all_objects/1","type":"function"},{"doc":"Deletes all instances of a specified object from a table.","ref":"DetsPlus.html#delete_object/2","title":"DetsPlus.delete_object/2","type":"function"},{"doc":"Returns information about table Name as a list of objects: {file_size, integer() &gt;= 0}} - The file size, in bytes. {filename, file:name()} - The name of the file where objects are stored. {keypos, keypos()} - The key position. {size, integer() &gt;= 0} - The number of objects estimated in the table. {type, type()} - The table type.","ref":"DetsPlus.html#info/1","title":"DetsPlus.info/1","type":"function"},{"doc":"Returns the information associated with item for the table. The following items are allowed: {file_size, integer() &gt;= 0}} - The file size, in bytes. {header_size, integer() &gt;= 0}} - The size of erlang term encoded header. {bloom_bytes, integer() &gt;= 0}} - The size of the in-memory and on-disk bloom filter, in bytes. {hashtable_bytes, integer() &gt;= 0}} - The size of the on-disk lookup hashtable, in bytes. {filename, file:name()} - The name of the file where objects are stored. {keypos, keypos()} - The key position. {size, integer() &gt;= 0} - The number of objects estimated in the table. {type, type()} - The table type.","ref":"DetsPlus.html#info/2","title":"DetsPlus.info/2","type":"function"},{"doc":"Inserts one or more objects into the table. If there already exists an object with a key matching the key of some of the given objects, the old object will be replaced.","ref":"DetsPlus.html#insert/2","title":"DetsPlus.insert/2","type":"function"},{"doc":"Inserts one or more objects into the table. If there already exists an object with a key matching the key of some of the given objects, the old object will be replaced.","ref":"DetsPlus.html#insert_new/2","title":"DetsPlus.insert_new/2","type":"function"},{"doc":"Returns a list of all objects with key Key stored in the table. Example: 2 &gt; State . open_file ( :abc ) { ok , :abc } 3 &gt; State . insert ( :abc , { 1 , 2 , 3 } ) ok 4 &gt; State . insert ( :abc , { 1 , 3 , 4 } ) ok 5 &gt; State . lookup ( :abc , 1 ) . [ { 1 , 3 , 4 } ] If the table type is set, the function returns either the empty list or a list with one object, as there cannot be more than one object with a given key. If the table type is bag or duplicate_bag, the function returns a list of arbitrary length. Notice that the order of objects returned is unspecified. In particular, the order in which objects were inserted is not reflected.","ref":"DetsPlus.html#lookup/2","title":"DetsPlus.lookup/2","type":"function"},{"doc":"Same as member?/2","ref":"DetsPlus.html#member/2","title":"DetsPlus.member/2","type":"function"},{"doc":"Works like lookup/2 , but does not return the objects. Returns true if one or more table elements has the key key , otherwise false.","ref":"DetsPlus.html#member?/2","title":"DetsPlus.member?/2","type":"function"},{"doc":"Opens an existing table or creates a new table. If no file argument is provided the table name will be used. Arguments: auto_save - The autosave interval. If the interval is an integer Time, the table is flushed to disk whenever it is not accessed for Time milliseconds. If the interval is the atom infinity, autosave is disabled. Defaults to 180_000 (3 minutes). keypos - The position of the element of each object to be used as key. Defaults to 1. The ability to explicitly state the key position is most convenient when we want to store Erlang records in which the first position of the record is the name of the record type.","ref":"DetsPlus.html#open_file/2","title":"DetsPlus.open_file/2","type":"function"},{"doc":"Reducer function following the Enum protocol.","ref":"DetsPlus.html#reduce/3","title":"DetsPlus.reduce/3","type":"function"},{"doc":"Starts a sync of all changes to the disk. Same as sync/1 but doesn't block","ref":"DetsPlus.html#start_sync/1","title":"DetsPlus.start_sync/1","type":"function"},{"doc":"Ensures that all updates made to table are written to disk. While the sync is running the table can still be used for reads and writes, but writes issed after the sync/1 call will not be part of the persistent file. These new changes will only be included in the next sync call.","ref":"DetsPlus.html#sync/1","title":"DetsPlus.sync/1","type":"function"},{"doc":"","ref":"DetsPlus.html#t:t/0","title":"DetsPlus.t/0","type":"type"}]